MBeanInfoRetrievalException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jmx.access

## Class MBeanInfoRetrievalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jmx.JmxException
          - - org.springframework.jmx.access.MBeanInfoRetrievalException

- All Implemented Interfaces:
    Serializable

      public class MBeanInfoRetrievalException
      extends JmxException

  Thrown if an exception is encountered when trying to retrieve MBean metadata.
  Since:
    1.2
  Author:
    Rob Harrop, Juergen Hoeller
  See Also:
    `MBeanClientInterceptor`, `MBeanProxyFactoryBean`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBeanInfoRetrievalException(String msg)` Create a new `MBeanInfoRetrievalException` with the specified error message.
    `MBeanInfoRetrievalException(String msg, Throwable cause)` Create a new `MBeanInfoRetrievalException` with the specified error message and root cause.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MBeanInfoRetrievalException

          public MBeanInfoRetrievalException(String msg)

      Create a new `MBeanInfoRetrievalException` with the specified error message.
      Parameters:
        `msg` - the detail message

    - #### MBeanInfoRetrievalException

          public MBeanInfoRetrievalException(String msg,
                                     Throwable cause)

      Create a new `MBeanInfoRetrievalException` with the specified error message and root cause.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause